{% extends "src/html/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Модальные окна" %}


{% block content %}
    <ul>
        <li>
            <a class="btn-modal" href="#phone-confirmation">4.4.1-ПопАп-Подтверждение номера</a>
        </li>
        <li>
            <a class="btn-modal" href="#phone-changing">4.4.2-ПопАп-Изменить номер</a>
        </li>
        <li>
            <a class="btn-modal" href="#successfully-paid">4.4.3-ПопАп-Успешно оплачено</a>
        </li>
        <li>
            <a class="btn-modal" href="#error-paid">4.4.4-ПопАп-Ошибка платеж</a>
        </li>
        <li></li>
        <li>
            <a class="btn-modal" href="#reg">9.9.0-Регистрация</a>
        </li>
        <li>
            <a class="btn-modal" href="#reg-phone">9.9.1-Регистрация-Войти по номеру телефона</a>
        </li>
        <li>
            <a class="btn-modal" href="#reg-sms">9.9.3-Ввод СМС</a>
        </li>
        <li></li>
        <li>
            <a class="btn-modal" href="#frame-one">Frame 152242</a>
        </li>
        <li>
            <a class="btn-modal" href="#frame-two">Frame 152339</a>
        </li>
    </ul>
{% endblock %}


{% block modal %}

    <div class="hide">

        <!-- 4.4.1-ПопАп-Подтверждение номера -->
        <div class="modal modal-phone-confirmation" id="phone-confirmation">
            <div class="modal__header">Подтверждение номера телефона</div>
            <form>
                <div class="form-label text-center">Введите код из СМС чтобы подтвердить номер +375 (29) 777-77-77</div>
                <div class="form-item">
                    <div class="form-inline">
                        <div class="form-inline__input">
                            <div class="input-field">
                                <input type="text" name="name" placeholder="Номер телефона" value="">
                            </div>
                        </div>
                        <div class="form-inline__text">Отправить код повторно через 0:08</div>
                    </div>
                </div>
                <div class="btn-inline">
                    <div class="btn-inline__item">
                        <button class="btn">Изменить номер</button>
                    </div>
                    <div class="btn-inline__item">
                        <button class="btn btn-purple">Подтвердить</button>
                    </div>
                </div>

            </form>
        </div><!-- modal -->
        
        <!-- 4.4.2-ПопАп-Изменить номер -->
        <div class="modal modal-phone-changing" id="phone-changing">
            <form>
                <div class="form-item">
                    <div class="form-label">Введите ваш номер</div>
                    <div class="input-field">
                        <input type="text" name="name" placeholder="Номер телефона" value="">
                    </div>
                </div>
                <button class="btn btn-purple">Сохранить</button>
            </form>
        </div><!-- modal -->

        <!-- 4.4.3-ПопАп-Успешно оплачено -->
        <div class="modal modal-successfully-paid" id="successfully-paid">
            <div class="modal__header color-purple text-uppercase">Успешно оплачено!</div>
            <div class="modal__subtitle">Спасибо мы получили Ваш заказ <br/>и начинаем оформление!</div>

            <div class="modal__successfully">
                <div class="modal__successfully--image">
                    <img src="img/successfully_paid.png" class="img-fluid" alt="">
                </div>
                <div class="modal__successfully--button text-center">
                    <button class="btn">Перйти в мои заказы</button>
                </div>
            </div>
        </div><!-- modal -->

        <!-- 4.4.4-ПопАп-Ошибка платежа -->
        <div class="modal modal-error-paid" id="error-paid">
            <div class="modal__error">
                <img src="img/icon__error.svg" class="img-fluid" alt="">
            </div>
            <div class="modal__header text-uppercase">ОШИБКА ПЛАТЕЖА!</div>
            <div class="modal__subtitle">Возникла ошибка при выполнении платежа. Пожалуйта, повторите снова или измените вид платежа</div>
            <div class="text-center">
                <button class="btn btn-long">Попробовать снова</button>
            </div>
        </div><!-- modal -->


        <!-- 9.9.0-Регистрация -->
        <div class="modal modal-sm modal-reg" id="reg">
            <div class="modal__inner">
                <div class="modal__title">Давайте дружить!</div>
                <div class="modal__lead">После входа вы сможете:</div>
                <div class="modal__info">
                    <div class="modal__info--item">
                        <div class="modal__info--icon">
                            <img src="img/modal__icon_01.svg" alt="">
                        </div>
                        <div class="modal__info--text">Покупать любимый продукт по скидке</div>
                    </div>
                    <div class="modal__info--item">
                        <div class="modal__info--icon">
                            <img src="img/modal__icon_02.svg" alt="">
                        </div>
                        <div class="modal__info--text">Заказывать товары с бесплатной доставкой день в день</div>
                    </div>
                    <div class="modal__info--item">
                        <div class="modal__info--icon">
                            <img src="img/modal__icon_03.svg" alt="">
                        </div>
                        <div class="modal__info--text">Учавствовать в акциях и оплачивать покупки бонусами</div>
                    </div>
                </div>
                <button class="btn btn-long" type="button">Войти по номеру телефона</button>
            </div>
        </div><!-- modal -->

        <!-- 9.9.1-Регистрация-Войти по номеру телефона -->
        <div class="modal modal-sm modal-reg-phone" id="reg-phone">
            <div class="modal__inner">
                <div class="modal__title">Введите номер телефона</div>
                <form>
                    <div class="form-group">
                        <div class="input-field">
                            <input type="text" name="name" placeholder="Номер телефона" value="">
                        </div>
                    </div>
                    <div class="form-item">
                        <label class="form-checkbox">
                            <input type="checkbox" name="check1" value="1">
                            <span>Cоглашаюсь с офертой и политикой конфиденциальности</span>
                        </label>
                    </div>
                    <div class="form-item">
                        <label class="form-checkbox">
                            <input type="checkbox" name="check2" value="2">
                            <span>Соглашаюсь получать новости и специальные предложения</span>
                        </label>
                    </div>
                    <button class="btn btn-long" type="button" disabled>Продолжить</button>
                </form>
            </div>
        </div><!-- modal -->

        <!-- 9.9.3-Ввод СМС -->
        <div class="modal modal-sm modal-reg-sms" id="reg-sms">
            <div class="modal__inner">
                <div class="modal__title">Введите КОД ИЗ СМС</div>
                <form>
                    <div class="form-group">
                        <div class="input-field">
                            <input type="text" name="code" placeholder="Введите код" value="">
                        </div>
                    </div>
                    <div class="form-item">
                        <label class="form-checkbox">
                            <input type="checkbox" name="check1" value="1" checked>
                            <span>Cоглашаюсь с офертой и политикой конфиденциальности</span>
                        </label>
                    </div>
                    <div class="form-item">
                        <label class="form-checkbox">
                            <input type="checkbox" name="check2" value="2" checked>
                            <span>Соглашаюсь получать новости и специальные предложения</span>
                        </label>
                    </div>
                    <button class="btn btn-long" type="button">Продолжить</button>
                </form>
            </div>
        </div><!-- modal -->

        <!-- Frame 152242 -->
        <div class="frame" id="frame-one">
            <div class="frame__row">
                <div class="frame__media">
                    <div class="frame__media--wrap">
                        <div class="frame__media--logo">
                            <img src="img/modal__logo.svg" class="img-fluid" alt="">
                        </div>
                        <div class="frame__media--image">
                            <img src="img/sticker__01.png" class="img-fluid" alt="">
                        </div>
                        <div class="frame__media--text">Вы лежите на печи, <br/>мы приносим вам хорчи</div>
                        <a href="www.емеля.бел" class="frame__media--link">www.емеля.бел</a>
                    </div>
                </div>
                <div class="frame__content">
                    <div class="frame__header">Доставка <br/>продуктов <br/>от 10 минут</div>
                    <form>
                        <div class="form-group">
                            <div class="input-field">
                                <input type="text" name="address" placeholder="Введите ваш точный адрес" value="">
                            </div>
                        </div>
                        <button class="btn" type="button">Сохранить</button>
                    </form>
                </div>
            </div>
        </div>

        <!-- Frame 152339 -->
        <div class="frame" id="frame-two">
            <div class="frame__row">
                <div class="frame__media">
                    <div class="frame__media--wrap">
                        <div class="frame__media--image">
                            <img src="img/sticker__02.png" class="img-fluid" alt="">
                        </div>
                        <div class="frame__media--text">Вы лежите на печи, <br/>мы приносим вам хорчи</div>
                        <a href="www.емеля.бел" class="frame__media--link">www.емеля.бел</a>
                    </div>
                </div>
                <div class="frame__content">
                    <div class="frame__header">Доставка <br/>продуктов <br/>от 10 минут</div>
                    <form>
                        <div class="form-group">
                            <div class="input-field">
                                <input type="text" name="address" placeholder="Введите ваш точный адрес" value="">
                            </div>
                        </div>
                        <button class="btn" type="button">Сохранить</button>
                    </form>
                </div>
            </div>
        </div>

    </div>

{% endblock %}



